Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.servlet.annotation
Annotation Type HandlesTypes

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface HandlesTypes

This annotation is used to declare an array of application classes which are passed to a `ServletContainerInitializer`.

Since:
  Servlet 3.0

Required Element Summary
`java.lang.Class[]` | `value`

Element Detail

### value

    public abstract java.lang.Class[] value

  Returns:
    array of classes

Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.